CREATE TABLE ARBITRE(
CodeA VARCHAR(4) NOT NULL,
NomA VARCHAR(20),
PrenomA VARCHAR(20),
PRIMARY KEY (CodeA)
);

CREATE TABLE CATEGORIE(
CodeCat VARCHAR(4),
LibelleC VARCHAR(20),
PRIMARY KEY (CodeCat)
);

CREATE TABLE CLUB(
CodeC VARCHAR(4) NOT NULL,
NomC VARCHAR(20),
AdresseC VARCHAR(30),
VilleC VARCHAR(30),
CPC VARCHAR(5),
TelC VARCHAR(14),
PRIMARY KEY (CodeC)
);

CREATE TABLE JOUEUR(
NumJ INTEGER NOT NULL,
NomJ VARCHAR(20),
PrenomJ VARCHAR(20),
DateNaissJ DATE,
NumLicJ VARCHAR(10),
CodeEquipe VARCHAR(4),
PRIMARY KEY (Numj),
FOREIGN KEY (CodeEquipe) REFERENCES EQUIPE(CodeE)
);

CREATE TABLE EQUIPE(
CodeE VARCHAR(4) NOT NULL,
CodeClub VARCHAR(4),
CodeCateg VARCHAR(4),
PRIMARY KEY (CodeE),
FOREIGN KEY (CodeClub) REFERENCES CLUB(CodeC),
FOREIGN KEY (CodeCateg) REFERENCES CATEGORIE(CodeCat)
);

CREATE TABLE MATCHE(
CodeM VARCHAR(4) NOT NULL,
DateM DATE,
LieuM INTEGER,
ScoreEquipe1 INTEGER,
ScoreEquipe2 INTEGER,
CodeEquipe1 VARCHAR(4),
CodeEquipe2 VARCHAR(4),
PRIMARY KEY (CodeM),
FOREIGN KEY (CodeEquipe1) REFERENCES EQUIPE(CodeE),
FOREIGN KEY (CodeEquipe2) REFERENCES EQUIPE(CodeE)
);

CREATE TABLE ARBITRER(
CodeArbitre VARCHAR(4) NOT NULL,
CodeMatch VARCHAR(4) NOT NULL,
RoleArbitre VARCHAR(20),
PRIMARY KEY (CodeArbitre, CodeMatch),
FOREIGN KEY (CodeArbitre) REFERENCES ARBITRE(CodeA),
FOREIGN KEY (CodeMatch) REFERENCES MATCHES(CodeM)
);